ื“ืœื’ ืœืชื•ื›ืŸ ื”ืจืืฉื™

Proposal Endpoints

Manage sales proposals for clients.

Base Pathโ€‹

/api/proposal

Endpointsโ€‹

List Proposalsโ€‹

GET /api/proposal
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
statusstringDRAFT, SENT, ACCEPTED, REJECTED
organizationIdstringOrganization filter

Create Proposalโ€‹

POST /api/proposal
Authorization: Bearer {token}
{
"jobPostUrl": "https://example.com/job",
"valueDate": "2025-03-05",
"jobPostContent": "Full-stack developer position",
"proposalContent": "We propose to deliver...",
"status": "SENT",
"organizationContactId": "contact-uuid"
}

Update Proposalโ€‹

PUT /api/proposal/:id
Authorization: Bearer {token}

Delete Proposalโ€‹

DELETE /api/proposal/:id
Authorization: Bearer {token}

Proposal Statusesโ€‹

StatusDescription
DRAFTNot yet sent
SENTSent to client
ACCEPTEDClient accepted
REJECTEDClient rejected